Get account information about a given app. | Algorand Developer Portal
Get account information about a given app.
GET
/v2/accounts/{address}/applications/{application-id}
Given a specific account public key and application ID, this call returns the account’s application local state and global state (AppLocalState and AppParams, if either exists). Global state will only be returned if the provided address is the application’s creator.
Authorizations
- api_key
Parameters
Path Parameters
address
- required
- type: string
- pattern: /[A-Z0-9]{58}/
- An account public key.
application-id
- required
- type: integer
- An application identifier.
Query Parameters
format
- type: string
- allowed values: json, msgpack
- Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.
Responses
200
AccountApplicationResponse describes the account’s application local state and global state (AppLocalState and AppParams, if either exists) for a specific application ID. Global state will only be returned if the provided address is the application’s creator.
Media Types: application/json, application/msgpack
app-local-state
Stores local state associated with an application.
id
- required
- type: integer
- The application which this local state is for.
key-value
- Represents a key-value store for use in an application.
- type: Array
- uint
- required
- type: integer, format: uint64
schema
- required
- Specifies maximums on the number of each type that may be stored.
- num-byte-slice
- required
- type: integer, format: uint64
- num-uint
- required
- type: integer, format: uint64
created-app
Stores the global information associated with an application.
approval-program
- required
- type: string, format: byte
clear-state-program
- required
- type: string, format: byte
creator
- required
- The address that created this application.
extra-program-pages
- integer: format: uint64
global-state
- Represents a key-value store for use in an application.
- type: Array
- uint
- required
- type: integer, format: uint64
global-state-schema
- Specifies maximums on the number of each type that may be stored.
- num-byte-slice
- required
- type: integer, format: uint64
- num-uint
- required
- type: integer, format: uint64
local-state-schema
- Specifies maximums on the number of each type that may be stored.
- num-byte-slice
- required
- type: integer, format: uint64
- num-uint
- required
- type: integer, format: uint64
size-sponsor
- the account responsible for extra pages and global state MBR
version
- the number of updates to the application programs
round
- required
- The round for which this information is relevant.
400
Message: Malformed address or application ID
401
Message: Invalid API Token
500
Message: Internal Error
default
Message: Unknown Error